/*----------------------------------------------------------------------------
--
--  Module:           xtmMsgAnswer
--
--  Project:          Xdiary
--  System:           xtm - X Desktop Calendar
--    Subsystem:      <>
--    Function block: <>
--
--  Description:
--    Interface file for module xtmMsgAnswer.
--
--  Filename:         xtmMsgAnswer.h
--
--  Authors:          Roger Larsson, Ulrika Bornetun
--  Creation date:    1991-04-01
--
--
--  (C) Copyright Ulrika Bornetun, Roger Larsson (1995)
--      All rights reserved
--
--  Permission to use, copy, modify, and distribute this software and its
--  documentation for any purpose and without fee is hereby granted,
--  provided that the above copyright notice appear in all copies. Ulrika
--  Bornetun and Roger Larsson make no representations about the usability
--  of this software for any purpose. It is provided "as is" without express
--  or implied warranty.
----------------------------------------------------------------------------*/

/* SCCS module identifier. */
/* SCCSID = @(#) Module: xtmMsgAnswer.h, Version: 1.1, Date: 95/02/18 15:52:31 */


/* Include this module only once. */
#ifndef define_xtmMsgAnswer_h
#  define define_xtmMsgAnswer_h


/*----------------------------------------------------------------------------
--  Include files
----------------------------------------------------------------------------*/

#include "xtmGlobal.h"


/*----------------------------------------------------------------------------
--  Macro definitions
----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
--  Type declarations
----------------------------------------------------------------------------*/

/* Handle to use when comminucating with the message answer. */
typedef  void  *XTM_MA_HANDLE;


/*----------------------------------------------------------------------------
--  Global definitions
----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
--  Function prototypes
----------------------------------------------------------------------------*/

void
  xtmMaAnswerMessage( XTM_MA_HANDLE  answer_handle,
                      UINT32         msg_id );

void
  xtmMaDestroy( XTM_MA_HANDLE  answer_handle );

XTM_MA_HANDLE
  xtmMaInitialize( XTM_GL_BASE_DATA_REF  appl_data_ref,
                   Widget                parent );

#endif
