.\"
.\" SCCSID = @(#) Module: xdiary.man, Version: 1.3, Date: 95/02/25 17:53:08
.\"
.\" Project: XDiary
.\"
.\" (C) Copyright Ulrika Bornetun, Roger Larsson (1995)
.\"     All rights reserved
.\"
.\" Permission to use, copy, modify, and distribute this software and its
.\" documentation for any purpose and without fee is hereby granted,
.\" provided that the above copyright notice appear in all copies. Ulrika
.\" Bornetun and Roger Larsson make no representations about the usability
.\" of this software for any purpose. It is provided "as is" without express
.\" or implied warranty.
.TH XDIARY 1 "\*(sL XDiary"

.SH NAME
xdiary - your personal organizer

.SH SYNOPSIS
.B xdiary
.nh
[-\fIusage\fP] [\fIxdiaryOption ...\fP] [\fItoolkitOption ...\fP]

.SH DESCRIPTION
.I XDiary
is your personal organizer that combines the functions of 
a desktop calendar, an appointment book and an alarm clock. XDiary
will help you keep track of your meetings, appointments and plan 
your time.
.P
XDiary is a Motif/X Windows application which allows you to manage 
one or more calendars with a 'few clicks with the mouse'.
.P
XDiary is a powerful calendar; it can be used as you personal reminder 
or it can be a group calendar shared by several people. As a group 
calendar, it can handle multiple diary databases and offers full 
access control. 
.P
XDiary is based on a calendar and a day view. By using the calendar, 
you select the day that interests you and in the day view, you register 
your appointments and notes in the appointment window.
.P
A calendar can be personal (with your private appointments),belong to
a group (with group meetings) or be public (department wide
information). You normally start to use XDiary as your private
calendar but you should know that XDiary is capable of much more.
.P
For an entry (an appointment or a note) in the day view, you can 
define one or more alarms that will give you reminders. You 
are free to select the time when the alarm should sound and you can 
also select the tune to be played.
.P
The best way to learn XDiary is to use it. Do not be afraid, try 
all functions you can find and if you need assistance, just use the 
built in help, it is there to support you.

.SH OPTIONS
All standard \fIXt Intrinsics\fR toolkit options are supported.
In addition,
.I xdiary
supports several other options which are described in the XDiary
on-line help.

.SH UTILITIES
You might also find the following utilities useful. For each utility,
you can get more help with the flag -usage, e.g.
.P
.B	xdalarm -usage
.P
gives you some help for the utility xdalarm. Otherwise, try the
built-in help facility in XDiary, it's not bad!
.P
Utilities marked with a (*) are normally started for within the XDiary
application.
.TP
.B \fBxdaclunix\fR (*)
Defines access control for diary databases in the standard *IX file system.
.TP
.B \fBxdaclafs\fR (*)
Defines access control for diary databases in the Andrew File system (AFS).
.TP
.B \fBxdalarm\fR (*)
Starts an alarm process for the given database.
.TP
.B \fBxdcustom\fR (*)
Customize your XDiary session. Further customization can be made
in your .Xdefaults file.
.TP
.B \fBxddump\fR
Dumps selected entries in the given diary database to an ASCII file.
See also xdrestore.
.TP
.B \fBxdinitdb\fR
Creates a diary database or updates an existing database.
.TP
.B \fBxdlight\fR
A 'lighter' version of XDiary with a single day view. Does not have all 
the possibilities xdiary has.
.TP
.B \fBxdnotify\fR
Sends you notifications when a diary database changes.
.TP
.B \fBxdremind\fR (*)
Allows you to set 'light-weight' alarms, i.e. alarms which you do
not want to put in your calendar.
.TP
.B \fBxdremove\fR
Removes entries in a diary database older than \f2n\f1 days.
.TP
.B \fBxdrestore\fR
Takes an ASCII file with one or more entries and inserts the entries
in the given diary database. See also xddump.

.SH FILES
$HOME/XDiary.custom
.br
$HOME/Diary

.SH SEE ALSO
The built in help in XDiary.

.SH AUTHOR
Roger Larsson (\fIllg@ubszh.ch.net\fR)
.PP
Comments, suggestions, and bug reports are always welcome.
